Subject: Re: [lojban] Re: [jboske] RE: Anything but tautologies

From: John Cowan <[email-masked]>
Date: Thu, 28 Feb 2002 14:38:09 -0500

[email-masked] wrote:

> I assume that {abu} refers to "a" and that its use as a pronoun is 
> dependent upon that and a convention, not that it is directly a 
> pronoun.

Abstractly speaking, yes. But in terms of syntax, "abu" is a
pronoun (outside MEX) and can't be used for the letter "a".
Inside ordinary MEX it is a variable, still not the letter "a".

> The list explanation for {me'o} is more opaque than usual, 
> could be read that way, I guess.

See the Book. me'o gives unevaluated expressions.

> It could also be read as not applying 
> on the ground that {pa} is not an unevaluated mathematical expression.

Why not? It's a degenerate case, to be sure.

> And what does {pabu} mean, then (if it is legal, as it should be)?

It is not yet defined to mean anything in particular.

> (though that a sequence is a 1-array makes a kind of 
> sense).

So it is in many programming languages.

> <I won't even ask how to define {n'} in general in Lojban...>

I would write n, n', n'', ... as ny. ny.bu ny.bubu ...
(People who say "n double prime" should be dissected!)

-- 
John Cowan <[email-masked]> http://www.reutershealth.com
I amar prestar aen, han mathon ne nen, http://www.ccil.org/~cowan
han mathon ne chae, a han noston ne 'wilith. --Galadriel, _LOTR:FOTR_